SeExpr

Public Slots | Signals | Public Member Functions | Private Attributes | List of all members
ExprChannelSlider Class Reference

Channel Slider (i.e. for colors) More...

`#include <ExprControl.h>`

Inheritance diagram for ExprChannelSlider:

## Public Slots
void | setValue (float value)

## Signals
void | valueChanged (int id, float value)

## Public Member Functions
| ExprChannelSlider (int id, QWidget *parent)
virtual void | paintEvent (QPaintEvent *e)
virtual void | mousePressEvent (QMouseEvent *e)
virtual void | mouseMoveEvent (QMouseEvent *e)
virtual void | wheelEvent (QWheelEvent *e)
float | value () const
void | setDisplayColor (QColor c)

## Private Attributes
int | _id
float | _value
QColor | _col

## Detailed Description

Channel Slider (i.e. for colors)

Definition at line 146 of file ExprControl.h.

## Constructor & Destructor Documentation

## ◆ ExprChannelSlider()

ExprChannelSlider::ExprChannelSlider | ( | int | id,
|  | QWidget * | parent
| ) |  |

Definition at line 144 of file ExprControl.cpp.

## Member Function Documentation

## ◆ mouseMoveEvent()

void ExprChannelSlider::mouseMoveEvent | ( | QMouseEvent * | e | ) |
| virtual

Definition at line 157 of file ExprControl.cpp.

References SeExpr2::clamp(), and setValue().

Referenced by mousePressEvent().

## ◆ mousePressEvent()

void ExprChannelSlider::mousePressEvent | ( | QMouseEvent * | e | ) |
| virtual

Definition at line 155 of file ExprControl.cpp.

References mouseMoveEvent().

## ◆ paintEvent()

void ExprChannelSlider::paintEvent | ( | QPaintEvent * | e | ) |
| virtual

Definition at line 146 of file ExprControl.cpp.

References _col, _value, p, and x.

## ◆ setDisplayColor()

void ExprChannelSlider::setDisplayColor | ( | QColor | c | ) |
| inline

Definition at line 155 of file ExprControl.h.

References _col.

Referenced by VectorControl::VectorControl().

## ◆ setValue

void ExprChannelSlider::setValue | ( | float | value | ) |
| slot

Definition at line 159 of file ExprControl.cpp.

References _id, _value, value(), and valueChanged().

Referenced by mouseMoveEvent(), and VectorControl::updateControl().

## ◆ value()

float ExprChannelSlider::value | ( |  | ) | const
| inline

Definition at line 154 of file ExprControl.h.

References _value.

Referenced by setValue().

## ◆ valueChanged

void ExprChannelSlider::valueChanged | ( | int | id,
|  | float | value
| ) |  |
| signal

Referenced by setValue().

## ◆ wheelEvent()

virtual void ExprChannelSlider::wheelEvent | ( | QWheelEvent * | e | ) |
| inline virtual

Definition at line 153 of file ExprControl.h.

## Member Data Documentation

## ◆ _col

QColor ExprChannelSlider::_col
| private

Definition at line 167 of file ExprControl.h.

Referenced by paintEvent(), and setDisplayColor().

## ◆ _id

int ExprChannelSlider::_id
| private

Definition at line 165 of file ExprControl.h.

Referenced by setValue().

## ◆ _value

float ExprChannelSlider::_value
| private

Definition at line 166 of file ExprControl.h.

Referenced by paintEvent(), setValue(), and value().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprControl.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprControl.cpp